Subject: bug#7060: 23.2; emacs does not recognize the "end" keyword as a block-delimiter in octave-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 Sep 2010 02:42:43 +0200

> emacs does not recognize the "end" keyword as a block-delimiter in
> octave-mode. Upon inspecting the file octave-mod.el, I see the following
> line before
> the variable "octave-end-keywords":

The octave-mod.el that will be in Emacs-24 has completely rewritten the
indentation and block navigation code.  I cannot reproduce the
problem there.  Sadly it uses a new package smie.el that's not in
Emacs-23.

This said, the octave-mod.el that's in the emacs-23 branch (and that
will be released as Emacs-23.3 in the not too distant future) also seems
to correctly handle "end".

If you could confirm that one of those two versions works for you, that
would be great (of course I recommend the version from `trunk' which
uses smie.el since I'm the author of that code).

        Stefan